%define	name	wireshark
%define version 0.99.4
%define release 0.1.20060mdk
%define	major	0
%define libname	%mklibname %{name} %{major}
%define olibname %mklibname ethereal %{major}

Summary:	Network traffic analyzer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group: 		Monitoring
URL: 		http://www.wireshark.org
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Source2:	%{name}-16.png
Source3:	%{name}-32.png
Patch0:		ethereal-0.10.6-64bit-fixes.patch.bz2
Requires:	libpcap >= 0.7.2
Requires:	net-snmp-mibs
Requires:	net-snmp-utils
Requires:	usermode-consoleonly
Obsoletes:	ethereal
Provides:	ethereal = %{version}
BuildRequires:	autoconf2.5
BuildRequires:	automake1.7
BuildRequires:	glib2-devel
BuildRequires:	gtk+2-devel
BuildRequires:	libelf-devel
BuildRequires:	openssl-devel
BuildRequires:	libpcap-devel >= 0.7.2
BuildRequires:	net-snmp-devel
BuildRequires:	pcre-devel
BuildRequires:	adns-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Wireshark is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

%package -n	%{libname}
Summary:	Network traffic and protocol analyzer libraries
Group:         	System/Libraries
Conflicts:      ethereal <= 0.10.5
Obsoletes:	%{olibname}
Provides:	%{olibname} = %{version}

%description -n	%{libname}
Wireshark is a network traffic analyzer for Unix-ish operating
systems. It is based on GTK+, a graphical user interface library,
and libpcap, a packet capture and filtering library.

This package contains shared libraries for %{name}

%package	tools
Summary:	Tools for manipulating capture files
Group:		Monitoring
Obsoletes:	ethereal-tools
Provides:	ethereal-tools = %{version}

%description	tools
Set of tools for manipulating capture files. Contains:
- editcap - Edit and/or translate the format of capture files
- mergecap - Merges two capture files into one
- text2cap - Generate a capture file from an ASCII hexdump of packets

%package -n	tshark
Summary:	Text-mode network traffic and protocol analyzer
Group:		Monitoring
Obsoletes:	tethereal
Provides:	tethereal = %{version}

%description -n tshark
Tshark is a network protocol analyzer. It lets you capture packet
data from a live network, or read packets from a previously saved
capture file, either printing a decoded form of those packets to the
standard output or writing the packets to a file. Tshark's native
capture file format is libpcap format, which is also the format used
by tcpdump and various other tools.

%prep

%setup -q
%patch0 -p1 -b .64bit-fixes

%build
export WANT_AUTOCONF_2_5=1
libtoolize --copy --force && aclocal-1.7 -I aclocal-fallback && autoconf && automake-1.7 --add-missing --copy
pushd wiretap
aclocal-1.7 -I ../aclocal-fallback && autoconf && automake-1.7 --add-missing --copy
popd
	    
%configure2_5x \
    --disable-usr-local \
    --disable-static \
    --enable-gtk2 \
    --enable-dftest \
    --enable-randpkt \
    --without-ucdsnmp \
    --with-snmp \
    --with-plugins=%{_libdir}/%{name}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}

%{makeinstall_std} transform=""

# put dumpcap where it's supposed to be
mv %{buildroot}%{_bindir}/dumpcap %{buildroot}%{_sbindir}/dumpcap
ln -s ../sbin/dumpcap %{buildroot}%{_bindir}/dumpcap

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF

?package(%{name}): \
command="%{name}" \
title="Wireshark" \
longtitle="A network traffic analyzer" \
needs="x11" \
icon="wireshark.png" \
section="System/Monitoring"

?package(%{name}): \
command="%{name}-root" \
title="Wireshark (root user)" \
longtitle="A network traffic analyzer (root user)" \
needs="x11" \
icon="wireshark.png" \
section="System/Monitoring"
EOF

# setup links for consolehelpper support to allow root access
pushd %{buildroot}%{_bindir}
ln -sf consolehelper %{name}-root
cd %{buildroot}%{_sbindir}
ln -s ../bin/%{name} %{name}-root
popd

# icon
install -m644 %{SOURCE2} -D %{buildroot}%{_miconsdir}/%{name}.png
install -m644 %{SOURCE3} -D %{buildroot}%{_iconsdir}/%{name}.png

# do we need a development package?
rm -f %{buildroot}%{_libdir}/*.so
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/%{name}/*.la
rm -f %{buildroot}%{_datadir}/%{name}/COPYING

%post
%update_menus

%postun
%clean_menus

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}*
%attr(755,root,root) %{_sbindir}/dumpcap
%{_bindir}/dumpcap
%attr(755,root,root) %{_sbindir}/%{name}-root
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/manuf
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/cfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/colorfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/dfilters
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/dtds/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/diameter/*
%config(noreplace) %attr(644,root,root) %{_datadir}/%{name}/radius/dictionary*
%attr(644,root,root) %{_datadir}/%{name}/help/*
%dir %{_datadir}/%{name}
%{_menudir}/%{name}
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_mandir}/man1/wireshark.1*
%{_mandir}/man1/dumpcap*
%{_mandir}/man4/wireshark-filter.4*
%{_datadir}/%{name}/*.html
%{_datadir}/%{name}/AUTHORS-SHORT
%attr(0755,root,root) %{_datadir}/%{name}/dtds

%files tools
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/capinfos
%attr(755,root,root) %{_bindir}/dftest
%attr(755,root,root) %{_bindir}/editcap
%attr(755,root,root) %{_bindir}/idl2wrs
%attr(755,root,root) %{_bindir}/mergecap
%attr(755,root,root) %{_bindir}/randpkt
%attr(755,root,root) %{_bindir}/text2pcap
%{_mandir}/man1/capinfo*
%{_mandir}/man1/editcap*
%{_mandir}/man1/idl2wrs*
%{_mandir}/man1/mergecap*
%{_mandir}/man1/text2pcap*

%files -n tshark
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/tshark
%{_mandir}/man1/tshark*

%files -n %{libname}
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README{,.[lv]*} doc/{randpkt.txt,README.*}
%attr(755,root,root) %{_libdir}/lib*.so.*

%changelog
* Thu Nov 02 2006 Vincent Danen <vdanen@mandriva.com> 0.99.4-0.1.20060mdk
- 0.99.4 (security fixes for CVE-2006-4574, CVE-2006-4805, CVE-2006-5468,
  CVE-2006-5469, CVE-2006-5740)

* Fri Aug 25 2006 Vincent Danen <vdanen@mandriva.com> 0.99.3a-0.1.20060mdk
- 0.99.3a (security fixes for CVE-2006-43{30,31,32,33}

* Tue Jul 18 2006 Vincent Danen <vdanen@mandriva.com> 0.99.2-0.2.20060mdk
- put dumpcap in /usr/sbin

* Tue Jul 18 2006 Vincent Danen <vdanen@mandriva.com> 0.99.2-0.1.20060mdk
- 0.99.2 (security fixes for
- rename to wireshark and provide appropriate obsoletes, etc.

* Tue Apr 25 2006 Vincent Danen <vdanen@mandriva.com> 0.99.0-0.2.20060mdk
- put dumpcap in the main package

* Tue Apr 25 2006 Vincent Danen <vdanen@mandriva.com> 0.99.0-0.1.20060mdk
- 0.99.0; fixes CVE-2006-19{32,33,34,35,36,37,38,39,40}

* Tue Jan 03 2006 Vincent Danen <vdanen@mandrakesoft.com> 0.10.14-0.1.20060mdk
- 0.10.14; fixes CVE-2005-3651
- dropped P1 and P2, fixed upstream

* Wed Dec 14 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.10.13-0.5.20060mdk
- P2: security fix for CVE-2005-3651

* Mon Oct 31 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.10.13-0.4.20060mdk
- really fix the perms if upgrading from the 0.2.20060mdk release

* Fri Oct 28 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.10.13-0.3.20060mdk
- fix perms on the dtds directory

* Wed Oct 26 2005 Vincent Danen <vdanen@mandrakesoft.com> 0.10.13-0.2.20060mdk
- P1: fix packet-irc dissector issue

* Mon Oct 24 2005 Vincent Danen <vdanen@mandriva.com> 0.10.13-0.1.20060mdk
- 0.10.13; multiple security fixes
- drop P1; no longer needed

* Tue Sep 06 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.12-1mdk
- 0.10.12; multiple security fixes
- fix #17045
- fix deps

* Wed Jul 13 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-4mdk
- rebuilt against new libpcap-0.9.1 (aka. a "play safe" rebuild)

* Fri Jun 10 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-3mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 0.10.11-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Thu May 05 2005 Oden Eriksson <oeriksson@mandriva.com> 0.10.11-1mdk
- 0.10.11 (Major security fixes)

* Wed Mar 23 2005 Olivier Blin <oblin@mandrakesoft.com> 0.10.10-1mdk
- 0.10.10 (security fixes, #14660)

* Fri Jan 21 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.9-1mdk
- 0.10.9

* Thu Dec 16 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.8-1mdk
- 0.10.8

* Fri Nov 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.10.7-1mdk
- 0.10.7
- regenerate P1
- cosmetics

* Mon Oct 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-3mdk
- Fix conflicts when upgrading from 10.0 + security update

* Mon Aug 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.10.6-2mdk
- Patch1: use correct alias for monospaced font

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 0.10.6-1mdk
- 0.10.6
- updated patch 0

* Thu Jul 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.10.5-1mdk
- new release
- rediff patch 0

* Tue Jun 08 2004 Michael Scherer <misc@mandrake.org> 0.10.4-3mdk 
- fix upgrade with Conflicts

* Mon Jun 07 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-2mdk
- fix deps
- use some more libtool stuff

* Sat Jun 05 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.10.4-1mdk
- 0.10.4
- use the %%configure2_5x macro
- huge spec file fixes (used ideas from debian and PLD)

* Wed Apr 14 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.10.3-4mdk
- fix filelist
- some 64-bit fixes

* Sat Apr 10 2004 Michael Scherer <misc@mandrake.org> 0.10.3-3mdk 
- [DIRM]
- add complete url to source

* Sat Mar 27 2004 Michael Scherer <misc@mandrake.org> 0.10.3-2mdk
- remove devel requires
- clean hardcoded requires
 
* Fri Mar 26 2004 Michael Scherer <misc@mandrake.org> 0.10.3-1mdk
- 0.10.3
- more macro
- remove patch #1, integrated upstream
- use Bundled library for snmp

* Sun Feb 15 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.10.0a-3mdk
- patch1: ethereal-tethereal-with-X.patch (Bug #7091)
- in spec menu
- clean spec

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0a-2mdk
- fix buildrequires

* Mon Dec 15 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0a-1mdk
- 0.10.0a
- use the corrected tarball and drop S4

* Sat Dec 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.10.0-1mdk
- 0.10.0
- added missing stuff (S4)

* Mon Dec 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.16-2mdk
- fix explicit-lib-dependency

* Wed Nov 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.16-1mdk
- 0.9.16

* Fri Jun 27 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.13-1mdk
- 0.9.13

* Fri May 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.12-1mdk
- 0.9.12 (security fixes)
- fix requires and buildrequires
- misc spec file fixes

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.11-2mdk
- adjust buildrequires

* Wed Apr 23 2003 Vincent Danen <vdanen@mandrakesoft.com> 0.9.11-1mdk
- 0.9.11 (security fixes)
- BuildRequires: libpcap-devel
- diameter and manuf files have been moved to /usr/share/ethereal from /etc

* Thu Feb 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.9-1mdk
- 0.9.9

* Thu Jan 09 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.9.8-1mdk
- 0.9.8

* Wed Oct 02 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.7-1mdk
- 0.9.7

* Tue Aug 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.6-2mdk
- adjust buildrequires

* Fri Aug 23 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 0.9.6-1mdk
- new version
- misc spec file fixes

* Tue Apr 09 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.3-1mdk
- 0.9.3

* Tue Mar 05 2002  Lenny Cartier <lenny@mandrakesoft.com> 0.9.2-1mdk
- 0.9.2

* Tue Feb 05 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.9.1-1mdk
- 0.9.1

* Thu Jan 31 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.8.20-3mdk
- xpm -> png icons
- don't overwrite config files

* Wed Oct 24 2001 Vincent Saugey <vince@mandrakesoft.com> 0.8.20-2mdk
- Replace require ucd-snmp by libsnmp0

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.20-1mdk
- 0.8.20

* Wed Sep 05 2001 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.8.19-1mdk
- updated to 0.8.19.

* Thu Jul 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.18-1mdk
- updated to 0.8.18

* Thu Apr 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.8.17-1mdk
- updated to 0.8.17

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.8.16-1mdk
- updated to 0.8.16
- disable snmp 

* Tue Nov 21 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.14-1mdk
- updated to 0.8.14

* Fri Oct 27 2000 Vincent Saugey <vince@mandrakesoft.com> 0.8.13-1mdk
- Up to 0.8.13
- Fix menu entry (not more ':' at end of icons name)

* Fri Aug 25 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8.11-2mdk
- added BuildRequires.
- added tethereal, editcap binaries.
- added doc dir to docs.

* Fri Aug 25 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.8.11-1mdk
- update to v0.8.11

* Wed Jul 12 2000 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.8.10-1mdk
- v0.8.10
- menu entry
- changed group

* Tue Dec 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- specfile adaptations
